[PC-BSD Commits] r1577 - pbibuild/modules/foobillard/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Mon Mar 10 14:44:21 PST 2008


Author: gonzalo
Date: 2008-03-10 15:44:21 -0700 (Mon, 10 Mar 2008)
New Revision: 1577

Modified:
   pbibuild/modules/foobillard/overlay-dir/PBI.FirstRun.sh
Log:
Active 3D warning added

Modified: pbibuild/modules/foobillard/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/foobillard/overlay-dir/PBI.FirstRun.sh	2008-03-10 21:14:13 UTC (rev 1576)
+++ pbibuild/modules/foobillard/overlay-dir/PBI.FirstRun.sh	2008-03-10 22:44:21 UTC (rev 1577)
@@ -46,3 +46,12 @@
       return 2
     fi
 fi 
+#3D APPLICATION: 3D ACC IS NEEDED
+
+glxinfo | grep "direct rendering:" | grep " Yes" 2>/dev/null
+if [ "$?" != "0" ]
+then
+   kdialog --msgbox "Your system does not appear to have hardware 3D
+support enabled. This application requires 3D acceleration to function
+properly."
+fi
\ No newline at end of file



More information about the Commits mailing list